Finish Experiment Early
curl --request PUT \
--url https://statsigapi.net/console/v1/autotunes/{id}/make_decision \
--header 'Content-Type: application/json' \
--header 'STATSIG-API-KEY: <api-key>' \
--data '
{
"id": "experiment123",
"decisionReason": "Your reason for stopping early",
"removeTargeting": false
}
'import requests
url = "https://statsigapi.net/console/v1/autotunes/{id}/make_decision"
payload = {
"id": "experiment123",
"decisionReason": "Your reason for stopping early",
"removeTargeting": False
}
headers = {
"STATSIG-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'STATSIG-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'experiment123',
decisionReason: 'Your reason for stopping early',
removeTargeting: false
})
};
fetch('https://statsigapi.net/console/v1/autotunes/{id}/make_decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Decision made for Autotune Experiment."
}{
"status": 400,
"message": "Autotune experiment has not yet started"
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}{
"status": 404,
"message": "Autotune Experiment not found."
}Autotunes
Finish Experiment Early
PUT
/
console
/
v1
/
autotunes
/
{id}
/
make_decision
Finish Experiment Early
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
Body
application/json
Schema for updating the status of an experiment
The ID of the group to launch
Example:
"groupid123"
The reason for making the decision to update the experiment status
Example:
"Your reason for stopping early"
Indicates whether to remove targeting from the experiment
Example:
false
Response
Finish Experiment Early Success
⌘I

